Bug 180757 - [MAINTAINER] cad/repsnapper: update to 2.2.0b1
Summary: [MAINTAINER] cad/repsnapper: update to 2.2.0b1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-23 10:50 UTC by martin.dieringer
Modified: 2013-09-02 17:00 UTC (History)
0 users

See Also:


Attachments
repsnapper-2.2.0b1.patch (2.53 KB, patch)
2013-07-23 10:50 UTC, martin.dieringer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description martin.dieringer 2013-07-23 10:50:01 UTC
- Update to 2.2.0b1

Generated with FreeBSD Port Tools 0.99_8 (mode: update, diff: ports)
Comment 1 martin.dieringer 2013-07-23 15:39:47 UTC
update 2.2.0b2



--- repsnapper-2.2.0b2.patch begins here ---
diff -ruN /usr/ports/cad/repsnapper/Makefile ./Makefile
--- /usr/ports/cad/repsnapper/Makefile	2013-05-25 16:37:02.000000000 +0200
+++ ./Makefile	2013-07-23 16:32:35.756269107 +0200
@@ -1,8 +1,8 @@
 # Created by: Martin Dieringer <martin.dieringe@gmx.de>
-# $FreeBSD: cad/repsnapper/Makefile 319055 2013-05-25 14:37:02Z zeising $
+# $FreeBSD: cad/repsnapper/Makefile 318181 2013-05-14 17:44:08Z rakuco $
 
 PORTNAME=	repsnapper
-PORTVERSION=	2.2.0a4
+PORTVERSION=	2.2.0b2
 CATEGORIES=	cad
 MASTER_SITES=	https://codeload.github.com/timschmidt/repsnapper/tar.gz/
 DISTNAME=	${PORTVERSION}
@@ -16,31 +16,31 @@
 LICENSE_COMB=	multi
 
 BUILD_DEPENDS=	p5-XML-Parser>=0:${PORTSDIR}/textproc/p5-XML-Parser
-LIB_DEPENDS=	gtkglext:${PORTSDIR}/x11-toolkits/gtkglext \
+LIB_DEPENDS=	gtkglextmm:${PORTSDIR}/x11-toolkits/gtkglextmm \
 		gtkmm-2:${PORTSDIR}/x11-toolkits/gtkmm24 \
 		glademm-2:${PORTSDIR}/devel/libglademm24 \
 		cairomm-1:${PORTSDIR}/graphics/cairomm \
 		zip:${PORTSDIR}/archivers/libzip \
-		atkmm-1.6:${PORTSDIR}/accessibility/atkmm \
-		glibmm-2.4:${PORTSDIR}/devel/glibmm \
+		atkmm-1:${PORTSDIR}/accessibility/atkmm \
+		glibmm-2:${PORTSDIR}/devel/glibmm \
 		pthread-stubs:${PORTSDIR}/devel/libpthread-stubs \
-		sigc-2.0:${PORTSDIR}/devel/libsigc++20 \
+		sigc-2:${PORTSDIR}/devel/libsigc++20 \
 		pcre:${PORTSDIR}/devel/pcre \
 		drm:${PORTSDIR}/graphics/libdrm \
 		png15:${PORTSDIR}/graphics/png \
 		freetype:${PORTSDIR}/print/freetype2 \
 		expat:${PORTSDIR}/textproc/expat2 \
-		xml++-2.6:${PORTSDIR}/textproc/libxml++26 \
+		xml++-2:${PORTSDIR}/textproc/libxml++26 \
 		fontconfig:${PORTSDIR}/x11-fonts/fontconfig \
-		pangomm-1.4:${PORTSDIR}/x11-toolkits/pangomm
+		pangomm-1:${PORTSDIR}/x11-toolkits/pangomm
 
 MAKE_JOBS_SAFE=	yes
 USES=		pkgconfig iconv
 USE_GNOME=	gdkpixbuf2 gtk20 libxml2
-USE_GL=		glu glut
 USE_AUTOTOOLS=	automake libtool
+USE_GL=		gl
 USE_GMAKE=	yes
-USE_XORG=	ice pixman sm x11 xau xcb composite xcursor xdamage xdmcp \
+USE_XORG=	ice pixman sm x11 xau xcb xcomposite xcursor xdamage xdmcp \
 		xext xfixes xi xinerama xmu xrandr xrender xt xxf86vm
 
 .include <bsd.port.options.mk>
diff -ruN /usr/ports/cad/repsnapper/distinfo ./distinfo
--- /usr/ports/cad/repsnapper/distinfo	2013-05-14 19:44:08.000000000 +0200
+++ ./distinfo	2013-07-23 16:36:31.056261494 +0200
@@ -1,2 +1,2 @@
-SHA256 (repsnapper/2.2.0a4) = f770d11a643fd6c6d29628d7a61ce8ce3d9ca02609e2e752a12fae610b38f9bb
-SIZE (repsnapper/2.2.0a4) = 1313097
+SHA256 (repsnapper/2.2.0b2) = 1eee6988993cdb03fc612b124f661b28fc15616d66794ddbe05cab47c81132dc
+SIZE (repsnapper/2.2.0b2) = 1313525
--- repsnapper-2.2.0b2.patch ends here ---
Comment 2 William Grzybowski freebsd_committer 2013-09-02 16:56:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 3 William Grzybowski freebsd_committer 2013-09-02 16:57:10 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2013-09-02 16:57:10 UTC
Author: wg
Date: Mon Sep  2 15:57:02 2013
New Revision: 326017
URL: http://svnweb.freebsd.org/changeset/ports/326017

Log:
  cad/repsnapper: update to 2.2.0b2
  
  - Update to 2.2.0b2 [1]
  - Convert lib depends to new syntax
  - USES gmake
  
  PR:		ports/180757
  Submitted by:	Martin Dieringer <martin.dieringer gmx.de> (maintainer)

Modified:
  head/cad/repsnapper/Makefile
  head/cad/repsnapper/distinfo

Modified: head/cad/repsnapper/Makefile
==============================================================================
--- head/cad/repsnapper/Makefile	Mon Sep  2 15:45:53 2013	(r326016)
+++ head/cad/repsnapper/Makefile	Mon Sep  2 15:57:02 2013	(r326017)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	repsnapper
-PORTVERSION=	2.2.0a4
+PORTVERSION=	2.2.0b2
 CATEGORIES=	cad
 MASTER_SITES=	https://codeload.github.com/timschmidt/repsnapper/tar.gz/
 DISTNAME=	${PORTVERSION}
@@ -16,30 +16,29 @@ LICENSE=	GPLv2 BSD MIT
 LICENSE_COMB=	multi
 
 BUILD_DEPENDS=	p5-XML-Parser>=0:${PORTSDIR}/textproc/p5-XML-Parser
-LIB_DEPENDS=	gtkglext:${PORTSDIR}/x11-toolkits/gtkglext \
-		gtkmm-2:${PORTSDIR}/x11-toolkits/gtkmm24 \
-		glademm-2:${PORTSDIR}/devel/libglademm24 \
-		cairomm-1:${PORTSDIR}/graphics/cairomm \
-		zip:${PORTSDIR}/archivers/libzip \
-		atkmm-1.6:${PORTSDIR}/accessibility/atkmm \
-		glibmm-2.4:${PORTSDIR}/devel/glibmm \
-		pthread-stubs:${PORTSDIR}/devel/libpthread-stubs \
-		sigc-2.0:${PORTSDIR}/devel/libsigc++20 \
-		pcre:${PORTSDIR}/devel/pcre \
-		drm:${PORTSDIR}/graphics/libdrm \
-		png15:${PORTSDIR}/graphics/png \
-		freetype:${PORTSDIR}/print/freetype2 \
-		expat:${PORTSDIR}/textproc/expat2 \
-		xml++-2.6:${PORTSDIR}/textproc/libxml++26 \
-		fontconfig:${PORTSDIR}/x11-fonts/fontconfig \
-		pangomm-1.4:${PORTSDIR}/x11-toolkits/pangomm
+LIB_DEPENDS=	libgtkglext-x11-1.0.so:${PORTSDIR}/x11-toolkits/gtkglext \
+		libgtkmm-2.4.so:${PORTSDIR}/x11-toolkits/gtkmm24 \
+		libglademm-2.4.so:${PORTSDIR}/devel/libglademm24 \
+		libcairomm-1.0.so:${PORTSDIR}/graphics/cairomm \
+		libzip.so:${PORTSDIR}/archivers/libzip \
+		libatkmm-1.6.so:${PORTSDIR}/accessibility/atkmm \
+		libglibmm-2.4.so:${PORTSDIR}/devel/glibmm \
+		libpthread-stubs.so:${PORTSDIR}/devel/libpthread-stubs \
+		libsigc-2.0.so:${PORTSDIR}/devel/libsigc++20 \
+		libpcre.so:${PORTSDIR}/devel/pcre \
+		libdrm.so:${PORTSDIR}/graphics/libdrm \
+		libpng15.so:${PORTSDIR}/graphics/png \
+		libfreetype.so:${PORTSDIR}/print/freetype2 \
+		libexpat.so:${PORTSDIR}/textproc/expat2 \
+		libxml++-2.6.so:${PORTSDIR}/textproc/libxml++26 \
+		libfontconfig.so:${PORTSDIR}/x11-fonts/fontconfig \
+		libpangomm-1.4.so:${PORTSDIR}/x11-toolkits/pangomm
 
-USES=		pkgconfig iconv
+USES=		gmake pkgconfig iconv
 USE_GNOME=	gdkpixbuf2 gtk20 libxml2
-USE_GL=		glu glut
+USE_GL=		gl
 USE_AUTOTOOLS=	automake libtool
-USE_GMAKE=	yes
-USE_XORG=	ice pixman sm x11 xau xcb composite xcursor xdamage xdmcp \
+USE_XORG=	ice pixman sm x11 xau xcb xcomposite xcursor xdamage xdmcp \
 		xext xfixes xi xinerama xmu xrandr xrender xt xxf86vm
 
 .include <bsd.port.options.mk>

Modified: head/cad/repsnapper/distinfo
==============================================================================
--- head/cad/repsnapper/distinfo	Mon Sep  2 15:45:53 2013	(r326016)
+++ head/cad/repsnapper/distinfo	Mon Sep  2 15:57:02 2013	(r326017)
@@ -1,2 +1,2 @@
-SHA256 (repsnapper/2.2.0a4) = f770d11a643fd6c6d29628d7a61ce8ce3d9ca02609e2e752a12fae610b38f9bb
-SIZE (repsnapper/2.2.0a4) = 1313097
+SHA256 (repsnapper/2.2.0b2) = 1eee6988993cdb03fc612b124f661b28fc15616d66794ddbe05cab47c81132dc
+SIZE (repsnapper/2.2.0b2) = 1313525
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"